Ubuntu 18.04 LTS Release

dchang0
Posts: 123
Joined: Tue Dec 22, 2015 1:29 pm
languages_spoken: english
ODROIDs: C1+, XU4Q
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by dchang0 » Tue Aug 16, 2016 6:44 am

Awesome! Glad to hear it--I will step back up to 16.04 when you have the new package in the Ubuntu repo and will confirm if it works.

mdrjr
Site Admin
Posts: 11698
Joined: Fri Feb 22, 2013 11:34 pm
languages_spoken: english, portuguese
ODROIDs: -
Location: Brazil
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by mdrjr » Tue Aug 16, 2016 7:23 am

Its already there

stmicro
Posts: 237
Joined: Tue Apr 28, 2015 4:23 pm
languages_spoken: english, chinese
ODROIDs: Many Odroids and Rpis.
Location: shenzhen china
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by stmicro » Tue Aug 16, 2016 3:03 pm

@dchang0 Check this repo information if it doesn't work. http://forum.odroid.com/viewtopic.php?f=52&t=18945

dchang0
Posts: 123
Joined: Tue Dec 22, 2015 1:29 pm
languages_spoken: english
ODROIDs: C1+, XU4Q
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by dchang0 » Tue Aug 16, 2016 6:17 pm

Thanks for the tip, stmicro. I am using the official ODROID images, so no need for the repo info.

Looks like the new linux-image package (something something "159") works--I am able to boot the official 16.04.1 MATE. I updated all the packages available as of 8/16/2016.

Thanks for the quick turnaround, mdrjr!

smv1210
Posts: 3
Joined: Mon Aug 15, 2016 3:05 am
languages_spoken: english
ODROIDs: C1+
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by smv1210 » Fri Aug 19, 2016 5:08 am

Unfortunately, the KODI PVR add-ons ( particularly - HTS, in my case) support is still very buggy in Ubuntu branch, so, I have to move to Odrobian-mate - this option looks currently the best to me...

viper86it
Posts: 47
Joined: Sun Jan 04, 2015 6:51 pm
languages_spoken: english
ODROIDs: C1
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by viper86it » Sat Aug 20, 2016 8:00 pm

smv1210 wrote:Unfortunately, the KODI PVR add-ons ( particularly - HTS, in my case) support is still very buggy in Ubuntu branch, so, I have to move to Odrobian-mate - this option looks currently the best to me...
I've already tried Odrobian Mate but Kodi has a lot of lag.
The best solution seems Ubuntu but PVR clients don't work.

Mdrjr said that maybe he tried to compile them but for the moment no news.
mdrjr wrote:Will try to see if I can build the PVR clients.. no promises :)
Give me a couple days.

User avatar
meveric
Posts: 9690
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1, N1, Go
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by meveric » Sat Aug 20, 2016 9:50 pm

On my images for C1 Kodi 16.1 as well as PVR addons are available. You can even install tvheadend as a backend if you so desire (although I don't think the C1 can really handle all the load).
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.

pawnthep
Posts: 19
Joined: Tue Mar 29, 2016 5:02 pm
languages_spoken: thai
ODROIDs: C1+
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by pawnthep » Mon Aug 22, 2016 4:04 pm

meveric wrote:On my images for C1 Kodi 16.1 as well as PVR addons are available. You can even install tvheadend as a backend if you so desire (although I don't think the C1 can really handle all the load).
@meveric
Do your images support dynamic refresh rate in Kodi and Hifi-Shield output?

User avatar
meveric
Posts: 9690
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1, N1, Go
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by meveric » Mon Aug 22, 2016 4:59 pm

HiFi-Shield has nothing to do with the image, the description on how to activate it is on the forums. I haven't tried it though, since I only have ODROID C1 and not the C1+.
About dynamic refresh, the images have no dynamic refresh out of the box, but from what I understand you only need to add chmod 666 /sys/class/display/mode to /etc/rc.local to get it to work, but I can't confirm this, since I haven't tried it yet.
I don't use the C1, since I have much better boards such as the U3, XU3/XU4 or the C2.
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.

axthek
Posts: 8
Joined: Sat Jan 17, 2015 7:30 am
languages_spoken: english
ODROIDs: c1, c1+
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by axthek » Wed Aug 24, 2016 9:51 pm

Hi,
I've had no time until now to install the new image onto my odroid c1+.
I'm running on kernel 3.10.96-160

Is there somewhere more information regarding the new cec driver?
New CEC Driver (Thanks to Raybuntu and gda)
The device is still /sys/devices/virtual/amhdmitx/amhdmitx0/cec .
I've stumbled upon a post from raybuntu, where he talks about a new cec driver which is usable via the cec-client. Is this driver meant?

lsmod only shows

Code: Select all

Module                  Size  Used by
fuse                   71055  3
nls_cp437               5125  1
autofs4                22263  2
'cat /lib/modules/$(uname -r)/modules.builtin' also has no modules for cec listed.

And in the /proc/config.gz there is only this commented line:

Code: Select all

# CONFIG_AML_HDMI_TX_NEW_CEC_DRIVER is not set
Kind regards
axthek

mdrjr
Site Admin
Posts: 11698
Joined: Fri Feb 22, 2013 11:34 pm
languages_spoken: english, portuguese
ODROIDs: -
Location: Brazil
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by mdrjr » Thu Aug 25, 2016 10:25 am

YEs, you can test with cec-client and check if it works :)

axthek
Posts: 8
Joined: Sat Jan 17, 2015 7:30 am
languages_spoken: english
ODROIDs: c1, c1+
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by axthek » Thu Aug 25, 2016 4:35 pm

Hi mdrjr,

I've installed cec-utils

Code: Select all

i   cec-utils
i A libcec3  - was already installed
And the information about the cec-client looks good to me (the Amlogic feature ;) ):

Code: Select all

libCEC version: 3.1.0, git revision: libcec-3.1.0+5-6d68d21~dirty, compiled on Qui Jul 14 15:52:47 UTC 2016 by root@1604_builder_armhf on Linux 3.10.96+ (armv7l), features: P8_USB, DRM, P8_detect, randr, Amlogic 
But when I try to use the cec-client neither the autodetection nor the device seem to work:

Code: Select all

No device type given. Using 'recording device'                                                                                                                                   
CEC Parser created - libCEC version 3.1.0                                                                                                                                        
no serial port given. trying autodetect: FAILED

Code: Select all

No device type given. Using 'recording device'
CEC Parser created - libCEC version 3.1.0
opening a connection to the CEC adapter...
DEBUG:   [               1]     Broadcast (F): osd name set to 'Broadcast'
ERROR:   [            3514]     error opening serial port '/sys/devices/virtual/amhdmitx/amhdmitx0/cec': Couldn't lock the serial port
ERROR:   [            3515]     could not open a connection (try 1)
Any ideas ?

Thanks
axthek

User avatar
memeka
Posts: 4144
Joined: Mon May 20, 2013 10:22 am
languages_spoken: english
ODROIDs: XU rev2 + eMMC + UART
U3 + eMMC + IO Shield + UART
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by memeka » Thu Aug 25, 2016 5:12 pm

Check permissions

axthek
Posts: 8
Joined: Sat Jan 17, 2015 7:30 am
languages_spoken: english
ODROIDs: c1, c1+
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by axthek » Thu Aug 25, 2016 6:33 pm

I've run the commands as root.

mdrjr
Site Admin
Posts: 11698
Joined: Fri Feb 22, 2013 11:34 pm
languages_spoken: english, portuguese
ODROIDs: -
Location: Brazil
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by mdrjr » Thu Aug 25, 2016 9:17 pm

Do you have /sys/devices/virtual/amhdmitx/amhdmitx0/cec
?

axthek
Posts: 8
Joined: Sat Jan 17, 2015 7:30 am
languages_spoken: english
ODROIDs: c1, c1+
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by axthek » Thu Aug 25, 2016 9:39 pm

Yes. I can also send the following sequence to turn off the TV ...

Code: Select all

echo "0d 10" > /sys/devices/virtual/amhdmitx/amhdmitx0/cec

readyblue
Posts: 14
Joined: Thu Feb 28, 2013 7:00 am
languages_spoken: english
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by readyblue » Mon Aug 29, 2016 8:25 pm

how IPv6 can be disabled?

already tried /etc/sysctl.com :

Code: Select all

net.ipv6.conf.all.disable_ipv6 = 1
net.ipv6.conf.default.disable_ipv6 = 1
net.ipv6.conf.lo.disable_ipv6 = 1
and /etc/modprobe.d/aliases :

Code: Select all

alias net-pf-10 off
alias ipv6 off
but it does not work.

please help
(odroid c1+)

viper86it
Posts: 47
Joined: Sun Jan 04, 2015 6:51 pm
languages_spoken: english
ODROIDs: C1
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by viper86it » Wed Aug 31, 2016 3:55 pm

meveric wrote:On my images for C1 Kodi 16.1 as well as PVR addons are available. You can even install tvheadend as a backend if you so desire (although I don't think the C1 can really handle all the load).
Did you mean Debian Jessie?
Please consider that PVR clients are available also on Ubuntu repository but they are not working. Probably they must be recompiled in order to work on C1, have you tested them on your distro?

User avatar
meveric
Posts: 9690
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1, N1, Go
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by meveric » Wed Aug 31, 2016 4:38 pm

yes I have and they work. I used the Kodi plugin for TVHeadend to watch live TV from my USB DVB Stick which was running on tvheadend backend on another odroid. Also tried the Demo one, but there's nothing much behind it.

Both the Debian Jessie image as well as the ODROID GameStation Turbo image have full access to my repository.
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.

viper86it
Posts: 47
Joined: Sun Jan 04, 2015 6:51 pm
languages_spoken: english
ODROIDs: C1
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by viper86it » Fri Sep 02, 2016 1:16 am

Sorry meveric but which plugin have you used that currently working?
I tried your distro and also dietpi but I would like to understand how to install TVHeadend PVR client.
If I try to run apt-get remove kodi-pvr-hts a tons of useless rubbish will be installed.

User avatar
meveric
Posts: 9690
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1, N1, Go
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by meveric » Fri Sep 02, 2016 3:29 am

I provide my own package for Kodi addons:

Code: Select all

apt-get install kodi-addons-odroid
which include all the PVR plugins and some more stuff, like screensaver and visualizer.

Also please make sure you have my version of Kodi installed (kodi-odroid) and not any other Kodi from another repository.
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.

matrix2311
Posts: 9
Joined: Sun Feb 08, 2015 9:38 pm
languages_spoken: english, german
ODROIDs: C1
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by matrix2311 » Wed Sep 07, 2016 3:31 am

Hi,

thank you for the great work. I just upgraded with a complete fresh installation of 16.04 for my C1 and it works fine. Just the VDR-VNSI-Plugins delivered with the standardinstallation (kodi-pvr-vdr-vnsi) does not work with the Standard Kodi Version 16.1. It can't be installed because of the wrong api-versions of the plugin. So i decided to compile the kodi-pvr-vdr-vnsi-plugin myself for the standard Kodi 16.1. I attached the plugin to this post. It has to be installed via the ZIP-Option.

Another problem is, that i can't get the hdmi-passthrough working. I think there is another post related to this problem. I have connected my C1 via HDMI to my SONY TV. My AVR doesn't have any HMDI-Ports and i installed one fibre-connection from the TV to the AVR and he is just doing the sound. This works fine for a Blueray-Player, a PS3, a Linux-PC(VDR-Head) wich are all conected directly to the TV via HDMI-cables. Just the ODROID wich is also connected via HDMI to the TV can't play working AC3-Sound!?

I tried the following startup-commands for kodi all with activating passthrough in kodi:

Code: Select all

pasuspender -- env AE_SINK=ALSA kodi
--> no audio at all (no menu-sound and no AC3-sound

Code: Select all

env AE_SINK=ALSA kodi
--> menu-sounds and standard movie-sound / no correct AC3-Sound - just a noisy sound

Code: Select all

kodi
--> all sound ok - but just PCM-coded

I think the second option is the right one but there is a bug in the odroid sound-processing, so that the ac3-format isn't really recognized by my tv and my avr behind this! I have not the possibility to connect the odroid directly via hdmi to an avr, but i think there must be a way to tell the odroid to passthrough the ac3-signal without any processing?! Another hint is, that i cannot play any ac3-testfile via aplay.

What is wrong? Perhaps someone had the same problem and solved it?!?

Thank You,
Oliver.
Attachments
addon-pvr.vdr.vnsi-1.11.19.zip
Newest Pluginversion from the GIT (Jarvis-Branch) for Kodi 16.1 - working!
(785.25 KiB) Downloaded 95 times

User avatar
Pingu
Posts: 28
Joined: Sun Oct 27, 2013 11:09 pm
languages_spoken: english, german
ODROIDs: U2, C1, VU
Location: Germany
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by Pingu » Fri Sep 16, 2016 7:57 pm

While everybody is already enjoying 16.04 (mate) I still have problems to get it running.
It starts that the verification with the Win32DiskImager (v1.3) fails with the error 0.9.5 "Read back data is different from original data" despite the MD5 hash of both, .xz and .img, is correct.

Even without the correct verification Ubuntu starts up and I can work normally with it ... until I reboot.
Then it gets stuck on booting with the messages:

Code: Select all

tvmode set to 1080p
don't set the same mode as current.
emmc: mmc_rescan_try_freq: trying to init card at 300000 Hz
am1_emmc_hw_reset 1379
I use a SD card.
Any ideas or suggestions? :?

User avatar
meveric
Posts: 9690
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1, N1, Go
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by meveric » Fri Sep 16, 2016 11:02 pm

SD cards are known to cause issues. Not all SD cards are supported.
After the first reboot, they are often damaged, the last line indicate that it could be that issue.
SanDisk Ultra (not Ultra Plus) are known to be very compatible and cheap.
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.

User avatar
odroid
Site Admin
Posts: 29671
Joined: Fri Feb 22, 2013 11:14 pm
languages_spoken: English
ODROIDs: ODROID
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by odroid » Sun Sep 18, 2016 11:50 am

Or change the "disableush" option in /media/boot/boot.ini file.
https://github.com/mdrjr/c1_bootini/blo ... ot.ini#L59

If "Read back data is different from original data" message appeared, consider changing the USB card reader first.

ledroide
Posts: 26
Joined: Sat Feb 21, 2015 11:42 pm
languages_spoken: english french
ODROIDs: odroid-C1, odroid-C2, Hifi shield+
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by ledroide » Sun Sep 18, 2016 7:23 pm

Hi there,
I still cannot upgrade my release from 14.04 precise to 16.04 trusty on my odroid-c1.

I have these messages when running do-release-upgrade :

Code: Select all

odroid calculating the changes 
could not calculate the upgrade 
An unresolvable problem occurred while calculating the upgrade
I removed my ppa repositories and also tryied performing a ppa-purge on each.

I checked my /var/log/dist-upgrade/main.log but it doesn't help me

Code: Select all

2016-09-18 12:07:25,954 DEBUG running doUpdate() (showErrors=True)
2016-09-18 12:07:50,496 DEBUG openCache()
2016-09-18 12:07:50,497 DEBUG failed to SystemUnLock() (E:Not locked) 
2016-09-18 12:08:16,217 DEBUG /openCache(), new cache size 51854
2016-09-18 12:08:16,220 DEBUG need_server_mode(): run in 'desktop' mode, (because of pkg 'lubuntu-core')
2016-09-18 12:08:31,673 ERROR Dist-upgrade failed: 'E:Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.'
2016-09-18 12:08:31,675 DEBUG abort called
I got 211 broken packages believing the apt log :

Code: Select all

root@redrum:/home/odroid/admin# grep ^Broken /var/log/dist-upgrade/apt.log | wc -l
211
Any ideas ?

User avatar
meveric
Posts: 9690
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1, N1, Go
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by meveric » Sun Sep 18, 2016 7:35 pm

ledroide wrote:Hi there,
I still cannot upgrade my release from 14.04 precise to 16.04 trusty on my odroid-c1.
"precise" is Ubuntu 12.04
"trusty" is Ubuntu 14.04.
"xenial" is Ubuntu 16.04.
ledroide wrote:I have these messages when running do-release-upgrade :

Code: Select all

odroid calculating the changes 
could not calculate the upgrade 
An unresolvable problem occurred while calculating the upgrade
I removed my ppa repositories and also tryied performing a ppa-purge on each.

I checked my /var/log/dist-upgrade/main.log but it doesn't help me

Code: Select all

2016-09-18 12:07:25,954 DEBUG running doUpdate() (showErrors=True)
2016-09-18 12:07:50,496 DEBUG openCache()
2016-09-18 12:07:50,497 DEBUG failed to SystemUnLock() (E:Not locked) 
2016-09-18 12:08:16,217 DEBUG /openCache(), new cache size 51854
2016-09-18 12:08:16,220 DEBUG need_server_mode(): run in 'desktop' mode, (because of pkg 'lubuntu-core')
2016-09-18 12:08:31,673 ERROR Dist-upgrade failed: 'E:Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.'
2016-09-18 12:08:31,675 DEBUG abort called
I got 211 broken packages believing the apt log :

Code: Select all

root@redrum:/home/odroid/admin# grep ^Broken /var/log/dist-upgrade/apt.log | wc -l
211
Any ideas ?
"do-release-upgrade" is not officially supported. You will run into issues mostly due to the switch from upstart to systemd. But also other issues, like broken GPU drivers, broken framebuffer drivers and probably broken repositories as well.
If you're not "good" at Linux and know how to solve these kind of issues on your own, you should NOT try to use "do-release-upgrade" but instead download the new 16.04. image from HardKernel.
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.

ledroide
Posts: 26
Joined: Sat Feb 21, 2015 11:42 pm
languages_spoken: english french
ODROIDs: odroid-C1, odroid-C2, Hifi shield+
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by ledroide » Sun Sep 18, 2016 8:36 pm

meveric wrote:
ledroide wrote:Hi there,
I still cannot upgrade my release from 14.04 precise to 16.04 trusty on my odroid-c1.
"precise" is Ubuntu 12.04
"trusty" is Ubuntu 14.04.
"xenial" is Ubuntu 16.04.
Ooops. My mistake. I meant : from trusty to xenial.
meveric wrote:"do-release-upgrade" is not officially supported. You will run into issues mostly due to the switch from upstart to systemd. But also other issues, like broken GPU drivers, broken framebuffer drivers and probably broken repositories as well.
If you're not "good" at Linux and know how to solve these kind of issues on your own, you should NOT try to use "do-release-upgrade" but instead download the new 16.04. image from HardKernel.
I guess I'm good enough at linux to understand that "do-release-upgrade" is not directly related to odroid-c1 but to apt, dpkg, dependancies, and system related utilities.
However, full installation through the hardkernel xenial images looks like my next step - believing do-release-upgrade has an unsolved issue that I didn't help to solve.
Thanks for your answer.
Serge

donaldguy
Posts: 2
Joined: Tue Dec 15, 2015 5:46 am
languages_spoken: english
ODROIDs: C1+
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by donaldguy » Fri Sep 30, 2016 9:25 am

It seems like AUFS support was removed from this kernel :-(

any ideas why or if its coming back?

I need to docker some stuff (and use systemd) and using devicemapper is very not ideal.

User avatar
odroid
Site Admin
Posts: 29671
Joined: Fri Feb 22, 2013 11:14 pm
languages_spoken: English
ODROIDs: ODROID
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by odroid » Fri Sep 30, 2016 2:45 pm

Did the AUFS exist in the previous release?

donaldguy
Posts: 2
Joined: Tue Dec 15, 2015 5:46 am
languages_spoken: english
ODROIDs: C1+
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by donaldguy » Sat Oct 01, 2016 5:02 am

I thought and vaguely remember so, but I don't have a working example at the moment.

This guy's tutorial mentions that all the odroid kernels have aufs support: https://github.com/umiddelb/armhf/wiki/ ... 7)-devices

mdrjr
Site Admin
Posts: 11698
Joined: Fri Feb 22, 2013 11:34 pm
languages_spoken: english, portuguese
ODROIDs: -
Location: Brazil
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by mdrjr » Tue Oct 04, 2016 11:53 pm

Aufs support is back :)
Enjoy

theghost
Posts: 183
Joined: Tue May 19, 2015 7:15 am
languages_spoken: english , french
ODROIDs: C1
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by theghost » Wed Oct 12, 2016 6:25 am

Hi

The 16.04 is stable today ? The last version is ubuntu-16.04-mate-odroid-c1-20160727 ?

I want to install it and stay for a long time :)

Kodi 16 is stable ? PVR available ? Kodi 17 is it planned ?

Sorry for this questions, it's just to be sure and know the last updates and roadmap :)

Thanks

mdrjr
Site Admin
Posts: 11698
Joined: Fri Feb 22, 2013 11:34 pm
languages_spoken: english, portuguese
ODROIDs: -
Location: Brazil
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by mdrjr » Wed Oct 12, 2016 1:50 pm

Most of your questions is already answered on our wiki: http://odroid.com/dokuwiki/doku.php?id= ... nux_ubuntu

theghost
Posts: 183
Joined: Tue May 19, 2015 7:15 am
languages_spoken: english , french
ODROIDs: C1
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by theghost » Thu Oct 13, 2016 2:36 am

Ah yes Thanks. But I see a lubuntu in 16.04 -> ubuntu-16.04lts-lubuntu-odroid-c1-20160727.img, I found only the mate version ? Is it normal ?

We can't pass from 14.04 to 16.04 for this reason ? do-upgrade does not work like I can see someone to do this.

mdrjr
Site Admin
Posts: 11698
Joined: Fri Feb 22, 2013 11:34 pm
languages_spoken: english, portuguese
ODROIDs: -
Location: Brazil
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by mdrjr » Thu Oct 13, 2016 7:45 am

We changed from Lxde to Mate to keep consistency across all the images we release :)

For now on expect only Mate releases from us, expect is the Mate project dies. :)

droider
Posts: 58
Joined: Fri Sep 06, 2013 7:28 am
languages_spoken: english
ODROIDs: Odroid-X
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by droider » Tue Oct 18, 2016 3:56 am

I apologize for asking a question not related to C1/C2 here, I am still on the rock solid odroid-X Hardkernel kindly released the 16.04 for the X board, and I lapped it up eagerly to get the latest Kodi. I have a few issues I am hoping to get some help on.

*edit* Moved to Odroid-X section http://forum.odroid.com/viewtopic.php?f=22&t=24148
Last edited by droider on Tue Oct 18, 2016 4:38 am, edited 2 times in total.

mdrjr
Site Admin
Posts: 11698
Joined: Fri Feb 22, 2013 11:34 pm
languages_spoken: english, portuguese
ODROIDs: -
Location: Brazil
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by mdrjr » Tue Oct 18, 2016 4:17 am

Please create your post on the ODROID-X section.

Cadre
Posts: 1
Joined: Wed Oct 26, 2016 12:30 pm
languages_spoken: english
ODROIDs: C1+
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by Cadre » Wed Oct 26, 2016 12:42 pm

Anybody have issues with hanging on boot from a recent package upgrade possibly dealing with initramfs? I'm on 16.04.1 LTS on a C1+ with a 16 GB eMMC card, logged in, did an apt-get upgrade, rebooted and now I'm hanging about 15 seconds after booting at sd: mm_rescan_try_freq: trying to init card at 300000Hz (which I know I can safely ignore, but the system isn't progressing any further along boot; the blue LED continues to blink). No apparent error messages earlier in the console. Plugging/unplugging USB devices continues to display console messages.

Code: Select all

$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  chromium-browser chromium-browser-l10n chromium-chromedriver chromium-codecs-ffmpeg-extra linux-image-c1 snapd
  ubuntu-core-launcher ubuntu-mate-core ubuntu-mate-desktop
The following packages will be upgraded:
  distro-info-data initramfs-tools initramfs-tools-bin initramfs-tools-core python3-update-manager update-manager
  update-manager-core
7 upgraded, 0 newly installed, 0 to remove and 9 not upgraded.
Need to get 643 kB of archives.
After this operation, 1,024 B disk space will be freed.
Do you want to continue? [Y/n] Y
Get:1 http://ports.ubuntu.com/ubuntu-ports xenial-updates/main armhf distro-info-data all 0.28ubuntu0.2 [4,006 B]
Get:2 http://ports.ubuntu.com/ubuntu-ports xenial-updates/main armhf initramfs-tools all 0.122ubuntu8.5 [8,618 B]
Get:3 http://ports.ubuntu.com/ubuntu-ports xenial-updates/main armhf initramfs-tools-core all 0.122ubuntu8.5 [42.2 kB]
Get:4 http://ports.ubuntu.com/ubuntu-ports xenial-updates/main armhf initramfs-tools-bin armhf 0.122ubuntu8.5 [9,010 B]
Get:5 http://ports.ubuntu.com/ubuntu-ports xenial-updates/main armhf python3-update-manager all 1:16.04.4 [31.5 kB]
Get:6 http://ports.ubuntu.com/ubuntu-ports xenial-updates/main armhf update-manager-core all 1:16.04.4 [5,332 B]
Get:7 http://ports.ubuntu.com/ubuntu-ports xenial-updates/main armhf update-manager all 1:16.04.4 [543 kB]
Fetched 643 kB in 0s (662 kB/s)     
(Reading database ... 215479 files and directories currently installed.)
Preparing to unpack .../distro-info-data_0.28ubuntu0.2_all.deb ...
Unpacking distro-info-data (0.28ubuntu0.2) over (0.28ubuntu0.1) ...
Preparing to unpack .../initramfs-tools_0.122ubuntu8.5_all.deb ...
Unpacking initramfs-tools (0.122ubuntu8.5) over (0.122ubuntu8.3) ...
Preparing to unpack .../initramfs-tools-core_0.122ubuntu8.5_all.deb ...
Unpacking initramfs-tools-core (0.122ubuntu8.5) over (0.122ubuntu8.3) ...
Preparing to unpack .../initramfs-tools-bin_0.122ubuntu8.5_armhf.deb ...
Unpacking initramfs-tools-bin (0.122ubuntu8.5) over (0.122ubuntu8.3) ...
Preparing to unpack .../python3-update-manager_1%3a16.04.4_all.deb ...
Unpacking python3-update-manager (1:16.04.4) over (1:16.04.3) ...
Preparing to unpack .../update-manager-core_1%3a16.04.4_all.deb ...
Unpacking update-manager-core (1:16.04.4) over (1:16.04.3) ...
Preparing to unpack .../update-manager_1%3a16.04.4_all.deb ...
Unpacking update-manager (1:16.04.4) over (1:16.04.3) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for libglib2.0-0:armhf (2.48.1-1~ubuntu16.04.1) ...
Processing triggers for gconf2 (3.2.6-3ubuntu6) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu5) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Setting up distro-info-data (0.28ubuntu0.2) ...
Setting up initramfs-tools-bin (0.122ubuntu8.5) ...
Setting up initramfs-tools-core (0.122ubuntu8.5) ...
Setting up initramfs-tools (0.122ubuntu8.5) ...
update-initramfs: deferring update (trigger activated)
Setting up python3-update-manager (1:16.04.4) ...
Setting up update-manager-core (1:16.04.4) ...
Setting up update-manager (1:16.04.4) ...
Processing triggers for initramfs-tools (0.122ubuntu8.5) ...
update-initramfs: Generating /boot/initrd.img-4.4.0-28-generic
WARNING: missing /lib/modules/4.4.0-28-generic
Ensure all necessary drivers are built into the linux image!
depmod: ERROR: could not open directory /lib/modules/4.4.0-28-generic: No such file or directory
depmod: FATAL: could not search modules: No such file or directory
depmod: WARNING: could not open /var/tmp/mkinitramfs_8HjJma/lib/modules/4.4.0-28-generic/modules.order: No such file or directory
depmod: WARNING: could not open /var/tmp/mkinitramfs_8HjJma/lib/modules/4.4.0-28-generic/modules.builtin: No such file or directory

mdrjr
Site Admin
Posts: 11698
Joined: Fri Feb 22, 2013 11:34 pm
languages_spoken: english, portuguese
ODROIDs: -
Location: Brazil
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by mdrjr » Thu Oct 27, 2016 7:25 pm

Even that you upgrade initramfs tools it won't upgrade your initramfs.. yours are in the fat partition and Ubuntu doesn't know how to change it.
The only upgrade on initramfs is when you install a kernel upgrade from us.

Can you take a picture of when the board is booting? I presume that ssh isn't working right?

BananaBlade
Posts: 2
Joined: Sat Feb 07, 2015 6:09 pm
languages_spoken: english, german
ODROIDs: C1
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by BananaBlade » Wed Nov 02, 2016 12:52 am

@mdrjr
Could you please update the instructions of creating an image for the C1 (http://odroid.com/dokuwiki/doku.php?id= ... tu_minimal)?
Tried to build an own image ... Created it successfully but it didn't want to boot no matter whatever I tried :(

mdrjr
Site Admin
Posts: 11698
Joined: Fri Feb 22, 2013 11:34 pm
languages_spoken: english, portuguese
ODROIDs: -
Location: Brazil
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by mdrjr » Thu Nov 03, 2016 7:59 am

Hmm.. Led status ?

mdrjr
Site Admin
Posts: 11698
Joined: Fri Feb 22, 2013 11:34 pm
languages_spoken: english, portuguese
ODROIDs: -
Location: Brazil
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by mdrjr » Fri Nov 04, 2016 3:32 am

BananaBlade wrote:@mdrjr
Could you please update the instructions of creating an image for the C1 (http://odroid.com/dokuwiki/doku.php?id= ... tu_minimal)?
Tried to build an own image ... Created it successfully but it didn't want to boot no matter whatever I tried :(
I have updated the instructions to reflect the new 16.04 changes.
Now it works as it should :)

BananaBlade
Posts: 2
Joined: Sat Feb 07, 2015 6:09 pm
languages_spoken: english, german
ODROIDs: C1
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by BananaBlade » Fri Nov 04, 2016 6:53 am

mdrjr wrote:Hmm.. Led status ?
Only the red one...
But I found my mistake :D
(Downloaded the files for the bootloader, but forgot to run sd_fusing.sh)
Thanks for updating the guide

Maury Markowitz
Posts: 39
Joined: Tue Nov 24, 2015 8:03 am
languages_spoken: english
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by Maury Markowitz » Wed Dec 14, 2016 4:21 am

This is a bit of a cross-post, my apologies:

What is the kernel version in this build? From the version number in the build notes I suspect it is still 3.10, but the notes do not state it specifically.

Did anyone merge crashoverride's (amazing!) back port of the media folder into the mainline builds?

crashoverride
Posts: 4230
Joined: Tue Dec 30, 2014 8:42 pm
languages_spoken: english
ODROIDs: C1
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by crashoverride » Wed Dec 14, 2016 5:42 am

Maury Markowitz wrote:Did anyone merge crashoverride's (amazing!) back port of the media folder into the mainline builds?
The backport should no longer be necessary. It is obsoleted by this method:
http://forum.odroid.com/viewtopic.php?f=136&t=20302

I have not tested it on the C1 though it is in use for LibreELEC on the C2.
http://forum.odroid.com/viewtopic.php?f=144&t=22887
http://forum.odroid.com/viewtopic.php?f=144&t=24923

Maury Markowitz
Posts: 39
Joined: Tue Nov 24, 2015 8:03 am
languages_spoken: english
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by Maury Markowitz » Fri Dec 16, 2016 6:35 am

So... none of this is actually in the image posted above, right?

beatmag
Posts: 27
Joined: Sat Jan 03, 2015 9:36 pm
languages_spoken: english
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by beatmag » Fri Dec 30, 2016 5:47 am

I cant get the odroid remote to work.....on 16.04 in kodi...

any ideas?

i installed the really old odroid remote deb package....didn't work.

User avatar
meveric
Posts: 9690
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1, N1, Go
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by meveric » Fri Dec 30, 2016 7:26 am

The .deb package doesn't do anything for IR, but you can probably use the following script: http://forum.odroid.com/viewtopic.php?f=54&t=24978
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.

rowan194
Posts: 146
Joined: Tue Jun 02, 2015 1:43 am
languages_spoken: english
ODROIDs: C1, XU4, C2
Contact:

Re: Ubuntu 16.04 LTS Release

Unread post by rowan194 » Sat Jan 21, 2017 3:15 pm

odroid wrote:Our recent minimal Ubuntu images have no ssh features.
Connect an HDMI screen and configure the ssh server manually.

We consider making new images in September.
ubuntu-16.04-minimal-odroid-c1-20160817 is still the latest, this seems to have SSH enabled, but odroid/odroid doesn't work. Any chance of adding the user to the passwd file for the release? The board grabbed an IP, and SSH is running, but I can't actually log in!

Would save a lot of time if you could add the user.

Locked

Return to “Ubuntu”

Who is online

Users browsing this forum: No registered users and 3 guests